(********************************************************************)
(* The Harmony Project                                              *)
(* harmony@lists.seas.upenn.edu                                     *)
(*                                                                  *)
(* compiler.mli - interface for Focal compiler                      *)
(********************************************************************)
(* $Id: compiler.mli 1880 2006-06-18 15:26:41Z bcpierce $ *)

(** The Focal compiler *)

val init : unit -> unit
(** [init ()] forces this module to be loaded, when used in a dynamically linked
  * library.  When it runs, it registers functions [compile_file_impl] and
  * [compile_fcl_str_impl] with the [Registry]. *)

(* This is exposed so that it can be set from the Toplevel *)
val test_all : bool Prefs.t   

(* This is exposed so that it can be used by the meta viewer *)
type cenv
val empty_cenv : unit -> cenv
val compile_exp : cenv -> Syntax.exp -> Registry.rv
